GetLocalizationStatusesRequest (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: GetLocalizationStatusesRequest

Package org.apache.hadoop.yarn.api.protocolrecords

# Class GetLocalizationStatusesRequest

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.GetLocalizationStatusesRequest

@Public @Unstable public abstract class GetLocalizationStatusesRequest extends Object
The request sent by an application master to the node manager to get `LocalizationStatus`es of containers.

See Also:
  - `ContainerManagementProtocol.getLocalizationStatuses(GetLocalizationStatusesRequest)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetLocalizationStatusesRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract List<ContainerId>`
  `getContainerIds()`
  Get the list of container IDs of the containers for which the localization statuses are needed.
  `static GetLocalizationStatusesRequest`
  `newInstance(List<ContainerId> containerIds)`
  `abstract void`
  `setContainerIds(List<ContainerId> containerIds)`
  Sets the list of container IDs of containers for which the localization statuses are needed.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetLocalizationStatusesRequest

    public GetLocalizationStatusesRequest()

- ## Method Details

  - ### newInstance

    @Public @Unstable public static GetLocalizationStatusesRequest newInstance(List<ContainerId> containerIds)

  - ### getContainerIds

    @Public @Unstable public abstract List<ContainerId> getContainerIds()
    Get the list of container IDs of the containers for which the localization statuses are needed.
    Returns:
      the list of container IDs.

  - ### setContainerIds

    @Public @Unstable public abstract void setContainerIds(List<ContainerId> containerIds)
    Sets the list of container IDs of containers for which the localization statuses are needed.
    Parameters:
      `containerIds` - the list of container IDs.